Bug 75504 - Minor enhancement to the cad/ngspice port
Summary: Minor enhancement to the cad/ngspice port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-12-26 05:00 UTC by giffunip
Modified: 2004-12-31 11:22 UTC (History)
0 users

See Also:


Attachments
file.diff (407 bytes, patch)
2004-12-26 05:00 UTC, giffunip
no flags Details | Diff
patch-ngspice (410 bytes, application/octet-stream)
2004-12-28 20:05 UTC, Pedro F. Giffuni
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description giffunip 2004-12-26 05:00:50 UTC
ngspice is being built without readline support to avoid possible licensing issues: ngspice license is GPL-incompatible. The GPL only applies to distribution though, so I suggest to enable it when we are not PACKAGE_BUILDING. Also, when we are package building we shouldn't build-in debugging support.

How-To-Repeat: My enhancements are pretty minimalistic. JFYI, the ngspice team also added xspice and cider but they consider it experimental so they don't build it. They don't build X support either.
Comment 1 Pav Lucistnik freebsd_committer 2004-12-28 03:36:35 UTC
Dear maintainer of FreeBSD port cad/ngspice_rework, please review a
patch at

http://www.freebsd.org/cgi/query-pr.cgi?q=75504

Do you approve or reject this change?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

A spoonful of curry, garlic and mustard helps the medicine go down...
and come straight back up again.
  -- JLE on #angband
Comment 2 Pav Lucistnik freebsd_committer 2004-12-28 03:36:40 UTC
State Changed
From-To: open->feedback

Asked maintainer for review. 


Comment 3 Pav Lucistnik freebsd_committer 2004-12-28 03:36:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Handle.
Comment 4 Pedro F. Giffuni 2004-12-28 20:05:57 UTC
Hi;
The patch is trivial (and smaller than what I suggested to the maintainer), but
according to portlint I added a space at the end of a line. Just letting you
know so that this doesn't go in unnoticed :).


		
__________________________________ 
Do you Yahoo!? 
Send holiday email and support a worthy cause. Do good. 
http://celebrity.mail.yahoo.com
Comment 5 shuhei 2004-12-30 05:39:29 UTC
At Tue, 28 Dec 2004 04:36:35 +0100,
Pav Lucistnik wrote:
> 
> Dear maintainer of FreeBSD port cad/ngspice_rework, please review a
> patch at
> 
> http://www.freebsd.org/cgi/query-pr.cgi?q=75504
> 
> Do you approve or reject this change?

Pav

I'll have a look.
Thank you.

shuhei
Comment 6 AMAKAWA Shuhei 2004-12-31 03:43:57 UTC
At Tue, 28 Dec 2004 04:36:35 +0100,
Pav Lucistnik wrote:
> 
> Dear maintainer of FreeBSD port cad/ngspice_rework, please review a
> patch at
> 
> http://www.freebsd.org/cgi/query-pr.cgi?q=75504
> 
> Do you approve or reject this change?

yes.
Looks ok to me.

shuhei
Comment 7 Pav Lucistnik freebsd_committer 2004-12-31 11:22:30 UTC
State Changed
From-To: feedback->closed

Committed, thanks!